import '../icon/icon';
import '../popup/popup';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
import type SdPopup from '../popup/popup';
export default class SdTooltip extends SolidElement {
    private hoverTimeout;
    private interactionType;
    localize: LocalizeController;
    private readonly hasSlotController;
    defaultSlot: HTMLSlotElement;
    body: HTMLElement;
    popup: SdPopup;
    size: 'lg' | 'sm';
    content: string;
    placement: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end';
    disabled: boolean;
    open: boolean;
    trigger: string;
    closeTrigger: string;
    hoist: boolean;
    connectedCallback(): void;
    firstUpdated(): void;
    disconnectedCallback(): void;
    private get hasCustomTrigger();
    private formatDefaultSlot;
    private handleMouseInteraction;
    private handleKeyboardInteraction;
    private handleBlur;
    private handleClick;
    private handleFocus;
    private handleKeyDown;
    private handleMouseOver;
    private handleMouseOut;
    private handleDocumentClick;
    private hasTrigger;
    private hasCloseTrigger;
    handleOpenChange(): Promise<void>;
    handleOptionsChange(): Promise<void>;
    handleDisabledChange(): void;
    show(): Promise<void>;
    hide(): Promise<void>;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-tooltip': SdTooltip;
    }
}
